# $Id: ModTest.pm,v 1.5 2002-11-09 17:40:40 bobzilla Exp $

package ModTest;

@ModTest::ISA = qw(OmniMod);

use strict;

my $on = 0;

sub handleMessage {
  return if ! $on;

  my $this = shift;
  my $irc = shift;
  my $channel = shift;
  my $nick = shift;
  my $message = shift;

  $irc->privmsg( $channel, "nick: $nick message: $message" );
}

sub handlePrivateMessage {
  return if ! $on;

  my $this = shift;
  my $irc = shift;
  my $nick = shift;
  my $message = shift;

  $irc->notice( $nick, "message: " . $message );
}

1;
