# $Id: OmniMod.pm,v 1.14 2004-05-16 23:27:26 uhtu Exp $
# Copyright (c) 2002-2004 Robert Hagemann <bobzilla@gothictech.com>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

package OmniMod;

use strict;

use OmniHash;

my $isBackup = 0;

sub isBackup {
  my $this = shift;
  my $temp = shift;

  $isBackup = $temp if defined $temp;
  return $isBackup;
}

sub help {
  my $this = shift;
  my $irc = shift;
  my $nick = shift;
  my $message = shift;
  if ( defined wantarray ) { # do we have help?
    return 0;
  }
}

sub name() {
  my $this = shift;
  return map{ s/=.*$//sgi; $_; }(scalar $this);
}

sub handleConnect {
  my $this = shift;
  my $irc = shift;
  my $nick = shift;
}

sub handleJoin {
  my $this = shift;
  my $irc = shift;
  my $channel = shift;
  my $nick = shift;
  my $parttime = shift;
  my $quittime = shift;
}

sub handleAction {
  my $this = shift;
  my $irc = shift;
  my $channel = shift;
  my $nick = shift;
  my $message = shift;
}

sub handleMessage {
  my $this = shift;
  my $irc = shift;
  my $channel = shift;
  my $nick = shift;
  my $message = shift;
  my $event = shift;
  my $conn = shift;
}

sub handlePrivateMessage {
  my $this = shift;
  my $irc = shift;
  my $nick = shift;
  my $message = shift;
  my $event = shift;
  my $conn = shift;
}

sub new {
  my $this = shift;

  my $class = ref($this) || $this;
  my $self = {};

  bless $self, $class;

  return $self;
}

1;
